Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!
Bug 780489 (CVE-2021-20308) - app-text/htmldoc: integer overflow leading to code execution
Summary: app-text/htmldoc: integer overflow leading to code execution
Status: CONFIRMED
Alias: CVE-2021-20308
Product: Gentoo Security
Classification: Unclassified
Component: Vulnerabilities (show other bugs)
Hardware: All Linux
: Normal normal (vote)
Assignee: Gentoo Security
URL: https://github.com/michaelrsweet/html...
Whiteboard: B2 [upstream/ebuild]
Keywords:
Depends on:
Blocks:
 
Reported: 2021-04-06 01:58 UTC by John Helmert III
Modified: 2021-04-06 21:52 UTC (History)
1 user (show)

See Also:
Package list:
Runtime testing required: ---


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description John Helmert III gentoo-dev Security 2021-04-06 01:58:44 UTC
CVE-2021-20308:

Integer overflow in the htmldoc 1.9.11 and before may allow attackers to execute arbitrary code and cause a denial of service that is similar to CVE-2017-9181.
Comment 1 John Helmert III gentoo-dev Security 2021-04-06 21:52:05 UTC
Actually, looks like there is no released version available.